/* /Components/Layout/MainLayout.razor.rz.scp.css */
.page[b-u7215vcrln] {
    position: relative;
    display: flex;
    flex-direction: column;
}

main[b-u7215vcrln] {
    flex: 1;
}

.sidebar[b-u7215vcrln] {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}

.top-row[b-u7215vcrln] {
    background-color: #f7f7f7;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    align-items: center;
}

    .top-row[b-u7215vcrln]  a, .top-row[b-u7215vcrln]  .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
        text-decoration: none;
    }

    .top-row[b-u7215vcrln]  a:hover, .top-row[b-u7215vcrln]  .btn-link:hover {
        text-decoration: underline;
    }

    .top-row[b-u7215vcrln]  a:first-child {
        overflow: hidden;
        text-overflow: ellipsis;
    }

@media (max-width: 640.98px) {
    .top-row[b-u7215vcrln] {
        justify-content: space-between;
    }

    .top-row[b-u7215vcrln]  a, .top-row[b-u7215vcrln]  .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 641px) {
    .page[b-u7215vcrln] {
        flex-direction: row;
    }

    .sidebar[b-u7215vcrln] {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row[b-u7215vcrln] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .top-row.auth[b-u7215vcrln]  a:first-child {
        flex: 1;
        text-align: right;
        width: 0;
    }

    .top-row[b-u7215vcrln], article[b-u7215vcrln] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}

#blazor-error-ui[b-u7215vcrln] {
    color-scheme: light only;
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    box-sizing: border-box;
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss[b-u7215vcrln] {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }
/* /Components/Layout/NavMenu.razor.rz.scp.css */
.navbar-toggler[b-874r9firoy] {
    appearance: none;
    cursor: pointer;
    width: 3.5rem;
    height: 2.5rem;
    color: white;
    position: absolute;
    top: 0.5rem;
    right: 1rem;
    border: 1px solid rgba(255, 255, 255, 0.1);
    background: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%28255, 255, 255, 0.55%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e") no-repeat center/1.75rem rgba(255, 255, 255, 0.1);
}

.navbar-toggler:checked[b-874r9firoy] {
    background-color: rgba(255, 255, 255, 0.5);
}

.top-row[b-874r9firoy] {
    min-height: 3.5rem;
    background-color: rgba(0,0,0,0.4);
}

.navbar-brand[b-874r9firoy] {
    font-size: 1.1rem;
}

.bi[b-874r9firoy] {
    display: inline-block;
    position: relative;
    width: 1.25rem;
    height: 1.25rem;
    margin-right: 0.75rem;
    top: -1px;
    background-size: cover;
}

.bi-house-door-fill-nav-menu[b-874r9firoy] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-house-door-fill' viewBox='0 0 16 16'%3E%3Cpath d='M6.5 14.5v-3.505c0-.245.25-.495.5-.495h2c.25 0 .5.25.5.5v3.5a.5.5 0 0 0 .5.5h4a.5.5 0 0 0 .5-.5v-7a.5.5 0 0 0-.146-.354L13 5.793V2.5a.5.5 0 0 0-.5-.5h-1a.5.5 0 0 0-.5.5v1.293L8.354 1.146a.5.5 0 0 0-.708 0l-6 6A.5.5 0 0 0 1.5 7.5v7a.5.5 0 0 0 .5.5h4a.5.5 0 0 0 .5-.5Z'/%3E%3C/svg%3E");
}

.bi-plus-square-fill-nav-menu[b-874r9firoy] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-plus-square-fill' viewBox='0 0 16 16'%3E%3Cpath d='M2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2zm6.5 4.5v3h3a.5.5 0 0 1 0 1h-3v3a.5.5 0 0 1-1 0v-3h-3a.5.5 0 0 1 0-1h3v-3a.5.5 0 0 1 1 0z'/%3E%3C/svg%3E");
}

.bi-search-nav-menu[b-874r9firoy] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-search' viewBox='0 0 16 16'%3E%3Cpath d='M11.742 10.344a6.5 6.5 0 1 0-1.397 1.398h-.001l3.85 3.85a1 1 0 0 0 1.415-1.414l-3.85-3.85zm-5.242.656a5 5 0 1 1 0-10 5 5 0 0 1 0 10z'/%3E%3C/svg%3E");
}

.bi-shield-lock-nav-menu[b-874r9firoy] {
    background-image: url("data:image/svg+xml,%3Csvg%20xmlns%3D%27http%3A//www.w3.org/2000/svg%27%20width%3D%2716%27%20height%3D%2716%27%20viewBox%3D%270%200%2016%2016%27%20fill%3D%27none%27%20stroke%3D%27white%27%20stroke-linejoin%3D%27round%27%20stroke-linecap%3D%27round%27%20stroke-width%3D%271.2%27%3E%3Cpath%20d%3D%27M8%200.8%202%203v4.5c0%203.4%202.3%206.4%206%207.7%203.7-1.3%206-4.3%206-7.7V3L8%200.8z%27/%3E%3Cpath%20d%3D%27M6%208.2V6.8a2%202%200%201%201%204%200v1.4h.6c.3%200%20.4.2.4.4v3.2c0%20.3-.2.4-.4.4H5.4c-.3%200-.4-.2-.4-.4V8.6c0-.3.2-.4.4-.4H6z%27/%3E%3Cpath%20d%3D%27M7.2%208.2V6.8a.8.8%200%201%201%201.6%200v1.4%27/%3E%3C/svg%3E");
}

.bi-list-nested-nav-menu[b-874r9firoy] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-list-nested' viewBox='0 0 16 16'%3E%3Cpath fill-rule='evenodd' d='M4.5 11.5A.5.5 0 0 1 5 11h10a.5.5 0 0 1 0 1H5a.5.5 0 0 1-.5-.5zm-2-4A.5.5 0 0 1 3 7h10a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5zm-2-4A.5.5 0 0 1 1 3h10a.5.5 0 0 1 0 1H1a.5.5 0 0 1-.5-.5z'/%3E%3C/svg%3E");
}

.bi-building-nav-menu[b-874r9firoy] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-building' viewBox='0 0 16 16'%3E%3Cpath d='M4 0a2 2 0 0 0-2 2v14h12V2a2 2 0 0 0-2-2H4Zm8 1a1 1 0 0 1 1 1v13H3V2a1 1 0 0 1 1-1h8Z'/%3E%3Cpath d='M3 2.5a.5.5 0 0 1 .5-.5H4a.5.5 0 0 1 .5.5V3a.5.5 0 0 1-.5.5h-.5A.5.5 0 0 1 3 3v-.5Zm0 3a.5.5 0 0 1 .5-.5H4a.5.5 0 0 1 .5.5V6a.5.5 0 0 1-.5.5h-.5A.5.5 0 0 1 3 6v-.5Zm0 3a.5.5 0 0 1 .5-.5H4a.5.5 0 0 1 .5.5V9a.5.5 0 0 1-.5.5h-.5A.5.5 0 0 1 3 9v-.5Zm3-6a.5.5 0 0 1 .5-.5H7a.5.5 0 0 1 .5.5V3a.5.5 0 0 1-.5.5h-.5A.5.5 0 0 1 6 3v-.5Zm0 3a.5.5 0 0 1 .5-.5H7a.5.5 0 0 1 .5.5V6a.5.5 0 0 1-.5.5h-.5A.5.5 0 0 1 6 6v-.5Zm0 3a.5.5 0 0 1 .5-.5H7a.5.5 0 0 1 .5.5V9a.5.5 0 0 1-.5.5h-.5A.5.5 0 0 1 6 9v-.5Zm3-6a.5.5 0 0 1 .5-.5H10a.5.5 0 0 1 .5.5V3a.5.5 0 0 1-.5.5h-.5A.5.5 0 0 1 9 3v-.5Zm0 3a.5.5 0 0 1 .5-.5H10a.5.5 0 0 1 .5.5V6a.5.5 0 0 1-.5.5h-.5A.5.5 0 0 1 9 6v-.5Zm0 3a.5.5 0 0 1 .5-.5H10a.5.5 0 0 1 .5.5V9a.5.5 0 0 1-.5.5h-.5A.5.5 0 0 1 9 9v-.5Z'/%3E%3C/svg%3E");
}

.bi-card-list-nav-menu[b-874r9firoy] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-card-list' viewBox='0 0 16 16'%3E%3Cpath d='M14.5 3a.5.5 0 0 1 .5.5v9a.5.5 0 0 1-.5.5h-13a.5.5 0 0 1-.5-.5v-9a.5.5 0 0 1 .5-.5h13zm-13-1A1.5 1.5 0 0 0 0 3.5v9A1.5 1.5 0 0 0 1.5 14h13a1.5 1.5 0 0 0 1.5-1.5v-9A1.5 1.5 0 0 0 14.5 2h-13z'/%3E%3Cpath d='M5 8a.5.5 0 0 0 0 1h6a.5.5 0 0 0 0-1H5zm0-2a.5.5 0 0 0 0 1h6a.5.5 0 0 0 0-1H5zm0 4a.5.5 0 0 0 0 1h6a.5.5 0 0 0 0-1H5z'/%3E%3C/svg%3E");
}

.bi-people-fill-nav-menu[b-874r9firoy] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-people-fill' viewBox='0 0 16 16'%3E%3Cpath d='M7 14s-1 0-1-1 1-4 5-4 5 3 5 4-1 1-1 1H7Zm4-6a3 3 0 1 0 0-6 3 3 0 0 0 0 6Zm-6.5 6c-.828 0-1.5-.672-1.5-1.5 0-.78.488-2.512 2.5-3.5 1.41-.704 2.484-1 3.5-1 .523 0 1.059.08 1.59.237C8.6 8.887 7 10.315 7 11.5c0 .78.293 1.5.5 1.5H4.5Zm.5-6a3 3 0 1 0 0-6 3 3 0 0 0 0 6Z'/%3E%3C/svg%3E");
}

.bi-box-seam-nav-menu[b-874r9firoy] {
    background-image: url("data:image/svg+xml,%3Csvg%20xmlns%3D%27http%3A//www.w3.org/2000/svg%27%20width%3D%2716%27%20height%3D%2716%27%20viewBox%3D%270%200%2016%2016%27%20fill%3D%27white%27%3E%3Cpath%20d%3D%27M1%204.5%208%201l7%203.5v7L8%2015%201%2011V4.5z%27/%3E%3Cpath%20d%3D%27M1%204.5%208%208l7-3.5M8%208v7%27%20fill%3D%27none%27%20stroke%3D%27white%27%20stroke-linecap%3D%27round%27%20stroke-linejoin%3D%27round%27%20stroke-width%3D%271%27/%3E%3C/svg%3E");
}

.bi-lock-nav-menu[b-874r9firoy] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-list-nested' viewBox='0 0 16 16'%3E%3Cpath d='M8 1a2 2 0 0 1 2 2v4H6V3a2 2 0 0 1 2-2zm3 6V3a3 3 0 0 0-6 0v4a2 2 0 0 0-2 2v5a2 2 0 0 0 2 2h6a2 2 0 0 0 2-2V9a2 2 0 0 0-2-2zM5 8h6a1 1 0 0 1 1 1v5a1 1 0 0 1-1 1H5a1 1 0 0 1-1-1V9a1 1 0 0 1 1-1z'/%3E%3C/svg%3E");
}

.bi-person-nav-menu[b-874r9firoy] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-person' viewBox='0 0 16 16'%3E%3Cpath d='M8 8a3 3 0 1 0 0-6 3 3 0 0 0 0 6Zm2-3a2 2 0 1 1-4 0 2 2 0 0 1 4 0Zm4 8c0 1-1 1-1 1H3s-1 0-1-1 1-4 6-4 6 3 6 4Zm-1-.004c-.001-.246-.154-.986-.832-1.664C11.516 10.68 10.289 10 8 10c-2.29 0-3.516.68-4.168 1.332-.678.678-.83 1.418-.832 1.664h10Z'/%3E%3C/svg%3E");
}

.bi-person-badge-nav-menu[b-874r9firoy] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-person-badge' viewBox='0 0 16 16'%3E%3Cpath d='M6.5 2a.5.5 0 0 0 0 1h3a.5.5 0 0 0 0-1h-3zM11 8a3 3 0 1 1-6 0 3 3 0 0 1 6 0z'/%3E%3Cpath d='M4.5 0A2.5 2.5 0 0 0 2 2.5V14a2 2 0 0 0 2 2h8a2 2 0 0 0 2-2V2.5A2.5 2.5 0 0 0 11.5 0h-7zM3 2.5A1.5 1.5 0 0 1 4.5 1h7A1.5 1.5 0 0 1 13 2.5v10.795a4.2 4.2 0 0 0-.776-.492C11.392 12.387 10.063 12 8 12s-3.392.387-4.224.803a4.2 4.2 0 0 0-.776.492V2.5z'/%3E%3C/svg%3E");
}

.bi-person-fill-nav-menu[b-874r9firoy] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-person-fill' viewBox='0 0 16 16'%3E%3Cpath d='M3 14s-1 0-1-1 1-4 6-4 6 3 6 4-1 1-1 1H3Zm5-6a3 3 0 1 0 0-6 3 3 0 0 0 0 6Z'/%3E%3C/svg%3E");
}

.bi-arrow-bar-left-nav-menu[b-874r9firoy] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-arrow-bar-left' viewBox='0 0 16 16'%3E%3Cpath d='M12.5 15a.5.5 0 0 1-.5-.5v-13a.5.5 0 0 1 1 0v13a.5.5 0 0 1-.5.5ZM10 8a.5.5 0 0 1-.5.5H3.707l2.147 2.146a.5.5 0 0 1-.708.708l-3-3a.5.5 0 0 1 0-.708l3-3a.5.5 0 1 1 .708.708L3.707 7.5H9.5a.5.5 0 0 1 .5.5Z'/%3E%3C/svg%3E");
}

.nav-item[b-874r9firoy] {
    font-size: 0.9rem;
    padding-bottom: 0.5rem;
}

    .nav-item:first-of-type[b-874r9firoy] {
        padding-top: 1rem;
    }

    .nav-item:last-of-type[b-874r9firoy] {
        padding-bottom: 1rem;
    }

    .nav-item[b-874r9firoy]  .nav-link {
        color: #d7d7d7;
        background: none;
        border: none;
        border-radius: 4px;
        height: 3rem;
        display: flex;
        align-items: center;
        line-height: 3rem;
        width: 100%;
    }

.nav-item[b-874r9firoy]  a.active {
    background-color: rgba(255,255,255,0.37);
    color: white;
}

.nav-item[b-874r9firoy]  .nav-link:hover {
    background-color: rgba(255,255,255,0.1);
    color: white;
}

.nav-scrollable[b-874r9firoy] {
    display: none;
}

.navbar-toggler:checked ~ .nav-scrollable[b-874r9firoy] {
    display: block;
}

@media (min-width: 641px) {
    .navbar-toggler[b-874r9firoy] {
        display: none;
    }

    .nav-scrollable[b-874r9firoy] {
        /* Never collapse the sidebar for wide screens */
        display: block;

        /* Allow sidebar to scroll for tall menus */
        height: calc(100vh - 3.5rem);
        overflow-y: auto;
    }
}
